Pr.Pg Next Pg

Prerequisites tutorials

Software Requirements

Operating System

  • To develop Android application development you need a Windows®, Linux or Mac OS X system.

  • Windows XP (32-bit), Vista (32- or 64-bit), or Windows 7 (32- or 64-bit)

  • Mac OS X 10.5.8 or later (x86 only)

  • Linux (tested on Ubuntu Linux, Lucid Lynx)

GNU C Library (glibc) 2.7 or later is required

On Ubuntu Linux, version 8.04 or later is required.

64-bit distributions must be capable of running 32-bit applications.

 

Java SE 7 Software Development Kit 

  • Download Link: http://www.oracle.com/technetwork/java/javase/downloads/index.html

 

Android SDK

  • Download the latest version of Android SDK from http://developer.android.com/sdk/index.html

 

Eclipse IDE

  • Eclipse 3.6.2 (Helios) or greater

  • Eclipse JDT plugin

  • Android Development tools plugin (recommended)

  • Eclipse ADT Plugin

 

Other Development Environments

  • Apache Ant 1.8 or later

 

Note

  • Some Linux distributions may include JDK 1.4 or Gnu Compiler for Java, both of which are not supported for Android development.

 

Pr.Pg border                                              Next Pg